Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023247
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-03-06 19:222013-04-03 12:52
ReportersureshbabuView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in VersionRMP21
StatusclosedFix in branchFixed in SCM revision4af28dfa6a5c
ProjectionnoneETAnoneTarget VersionRMP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023247: When a receipt is created with Fixed discount, when we reopen the receipt, error in product unit price and line total amout

DescriptionWhen a receipt is created with Fixed discount, when we reopen the Receipt, error in product unit price and line total amount(using price list which is not inclusive of taxes)

Note: Affecting below functionality
Paid receipts, Layaway and also Quotations
Steps To ReproduceCreate a Receipt with below details

• Product: Alpine skiing backpack 27 L
• Quantity: 5
• Unit Price: 109.90
• Total line amount: 549.50
• Discount(Fixed 10%): -54.95
• Tax: 103.86
• Total Gross Amount: 598.41

Then again reopen the above created REceipt and check the details in POS


• Product: Alpine skiing backpack 27 L
• Quantity: 5
• Unit Price: 98.91
• Total line amount: 494.55
• Fixed 10%: -54.95
• Tax: 103.86
• Total Gross Amount: 598.41

Even it shows right value for

• Fixed 10%: -54.95
• Tax: 103.86
• Total Gross Amount: 598.41

But for Unit Price, and Total line amount shows wrong values.

* Unit Price: shows 98.91 instead of 109.90
* Total line amount: 494.55 instead of 549.50
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0057116)
sureshbabu (reporter)
2013-03-06 20:10

I have used price list not inclusive of taxes, because of this tax calculation is wrongly made. wrong values showed in Ticket also and also in Back end system in the sales order, Net Unit price and Line Net amount shows wrong value.
(0057139)
migueldejuana (developer)
2013-03-07 15:12

First, we should not apply discounts when showing Paid Receipts, Layaways and Quotations. This would not show discounts but amounts would be correct.
Then, we should retrieve from backend discounts and promotions of each orderline and create a method (similar to applyDiscounts) for displaying discounts.
(0057304)
hgbot (developer)
2013-03-19 10:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4af28dfa6a5c4650bab71b3497891d33ca680a0a
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Mar 19 10:43:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4af28dfa6a5c4650bab71b3497891d33ca680a0a [^]

Fixed issue 0023247: Loading orders, use lisprice instead netPrice

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057343)
hgbot (developer)
2013-03-21 09:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0e2249f4b52e8b0cf11ffd80333fc0ef0398cb23
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Mar 21 09:42:48 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0e2249f4b52e8b0cf11ffd80333fc0ef0398cb23 [^]

Related to issue 23247: Show unitPrice when price list not including taxes with discounts

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057372)
guilleaer (developer)
2013-03-21 17:05

verified
(0057686)
hgbot (developer)
2013-04-02 20:12

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 4af28dfa6a5c4650bab71b3497891d33ca680a0a
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Mar 19 10:43:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/4af28dfa6a5c4650bab71b3497891d33ca680a0a [^]

Fixed issue 0023247: Loading orders, use lisprice instead netPrice

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057689)
hgbot (developer)
2013-04-02 20:12

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 0e2249f4b52e8b0cf11ffd80333fc0ef0398cb23
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Mar 21 09:42:48 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/0e2249f4b52e8b0cf11ffd80333fc0ef0398cb23 [^]

Related to issue 23247: Show unitPrice when price list not including taxes with discounts

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-03-06 19:22 sureshbabu New Issue
2013-03-06 19:22 sureshbabu Assigned To => adrianromero
2013-03-06 19:23 sureshbabu Assigned To adrianromero => marvintm
2013-03-06 20:10 sureshbabu Note Added: 0057116
2013-03-07 11:56 sureshbabu Target Version => RMP21
2013-03-07 11:56 sureshbabu Summary When a Layaway order is created with Fixed discount, when we reopen the Layaway error in product unit price and line total amout => When a receipt is created with Fixed discount, when we reopen the receipt, error in product unit price and line total amout
2013-03-07 11:56 sureshbabu Description Updated View Revisions
2013-03-07 11:56 sureshbabu Steps to Reproduce Updated View Revisions
2013-03-07 15:12 migueldejuana Note Added: 0057139
2013-03-19 10:43 hgbot Checkin
2013-03-19 10:43 hgbot Note Added: 0057304
2013-03-19 10:43 hgbot Status new => resolved
2013-03-19 10:43 hgbot Resolution open => fixed
2013-03-19 10:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4af28dfa6a5c4650bab71b3497891d33ca680a0a [^]
2013-03-21 09:43 hgbot Checkin
2013-03-21 09:43 hgbot Note Added: 0057343
2013-03-21 09:43 migueldejuana Assigned To marvintm => migueldejuana
2013-03-21 09:43 migueldejuana Status resolved => new
2013-03-21 09:43 migueldejuana Resolution fixed => open
2013-03-21 09:44 migueldejuana Status new => scheduled
2013-03-21 09:44 migueldejuana Status scheduled => resolved
2013-03-21 09:44 migueldejuana Fixed in Version => RMP21
2013-03-21 09:44 migueldejuana Resolution open => fixed
2013-03-21 17:05 guilleaer Review Assigned To => guilleaer
2013-03-21 17:05 guilleaer Note Added: 0057372
2013-03-21 17:05 guilleaer Status resolved => closed
2013-04-02 20:12 hgbot Checkin
2013-04-02 20:12 hgbot Note Added: 0057686
2013-04-02 20:12 hgbot Status closed => resolved
2013-04-02 20:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4af28dfa6a5c4650bab71b3497891d33ca680a0a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/4af28dfa6a5c4650bab71b3497891d33ca680a0a [^]
2013-04-02 20:12 hgbot Checkin
2013-04-02 20:12 hgbot Note Added: 0057689
2013-04-03 12:52 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker